diff --git a/ldap/servers/slapd/passwd_extop.c b/ldap/servers/slapd/passwd_extop.c
index ad5b8da..4726fc5 100644
--- a/ldap/servers/slapd/passwd_extop.c
+++ b/ldap/servers/slapd/passwd_extop.c
@@ -68,7 +68,7 @@ static int passwd_check_pwd(Slapi_Entry *targetEntry, const char *pwd){
 	Slapi_Value cv;
 	Slapi_Value **bvals; 
 
-	LDAPDebug( LDAP_DEBUG_TRACE, "=> passwd_check_pwd\n", 0, 0, 0 );
+	LDAPDebug(LDAP_DEBUG_TRACE, LOG_DEBUG, "=> passwd_check_pwd\n", 0, 0, 0 );
 	
 	slapi_value_init_string(&cv,pwd);
 	
@@ -82,7 +82,7 @@ static int passwd_check_pwd(Slapi_Entry *targetEntry, const char *pwd){
 	}
 
 	value_done(&cv);
-	LDAPDebug( LDAP_DEBUG_TRACE, "<= passwd_check_pwd: %d\n", rc, 0, 0 );
+	LDAPDebug(LDAP_DEBUG_TRACE, LOG_DEBUG, "<= passwd_check_pwd: %d\n", rc, 0, 0 );
 	
 	/* if the userPassword attribute is absent then rc is -1 */
 	return rc;
@@ -97,16 +97,16 @@ static int
 passwd_modify_getEntry( const char *dn, Slapi_Entry **e2 ) {
 	int		search_result = 0;
 	Slapi_DN 	sdn;
-	LDAPDebug( LDAP_DEBUG_TRACE, "=> passwd_modify_getEntry\n", 0, 0, 0 );
+	LDAPDebug(LDAP_DEBUG_TRACE, LOG_DEBUG, "=> passwd_modify_getEntry\n", 0, 0, 0 );
 	slapi_sdn_init_dn_byref( &sdn, dn );
 	if ((search_result = slapi_search_internal_get_entry( &sdn, NULL, e2,
  					plugin_get_default_component_id())) != LDAP_SUCCESS ){
-	 LDAPDebug (LDAP_DEBUG_TRACE, "passwd_modify_getEntry: No such entry-(%s), err (%d)\n",
+	 LDAPDebug(LDAP_DEBUG_TRACE, LOG_DEBUG, "passwd_modify_getEntry: No such entry-(%s), err (%d)\n",
 					 dn, search_result, 0);
 	}
 
 	slapi_sdn_done( &sdn );
-	LDAPDebug( LDAP_DEBUG_TRACE, "<= passwd_modify_getEntry: %d\n", search_result, 0, 0 );
+	LDAPDebug(LDAP_DEBUG_TRACE, LOG_DEBUG, "<= passwd_modify_getEntry: %d\n", search_result, 0, 0 );
 	return search_result;
 }
 
@@ -123,7 +123,7 @@ passwd_apply_mods(Slapi_PBlock *pb_orig, const Slapi_DN *sdn, Slapi_Mods *mods,
 	LDAPControl **pb_resp_controls = NULL;
 	int ret=0;
 
-	LDAPDebug( LDAP_DEBUG_TRACE, "=> passwd_apply_mods\n", 0, 0, 0 );
+	LDAPDebug(LDAP_DEBUG_TRACE, LOG_DEBUG, "=> passwd_apply_mods\n", 0, 0, 0 );
 
 	if (mods && (slapi_mods_get_num_mods(mods) > 0)) 
 	{
@@ -164,14 +164,14 @@ passwd_apply_mods(Slapi_PBlock *pb_orig, const Slapi_DN *sdn, Slapi_Mods *mods,
 		}
 
 		if (ret != LDAP_SUCCESS){
-			LDAPDebug(LDAP_DEBUG_TRACE, "WARNING: passwordPolicy modify error %d on entry '%s'\n",
+			LDAPDebug(LDAP_DEBUG_TRACE, LOG_DEBUG, "WARNING: passwordPolicy modify error %d on entry '%s'\n",
 				ret, slapi_sdn_get_dn(sdn), 0);
 		}
 
 		pblock_done(&pb);
  	}
  
- 	LDAPDebug( LDAP_DEBUG_TRACE, "<= passwd_apply_mods: %d\n", ret, 0, 0 );
+ 	LDAPDebug(LDAP_DEBUG_TRACE, LOG_DEBUG, "<= passwd_apply_mods: %d\n", ret, 0, 0 );
  
  	return ret;
 }
@@ -185,7 +185,7 @@ static int passwd_modify_userpassword(Slapi_PBlock *pb_orig, Slapi_Entry *target
 	int ret = 0;
 	Slapi_Mods smods;
 	
-    LDAPDebug( LDAP_DEBUG_TRACE, "=> passwd_modify_userpassword\n", 0, 0, 0 );
+    LDAPDebug(LDAP_DEBUG_TRACE, LOG_DEBUG, "=> passwd_modify_userpassword\n", 0, 0, 0 );
 	
 	slapi_mods_init (&smods, 0);
 	slapi_mods_add_string(&smods, LDAP_MOD_REPLACE, SLAPI_USERPWD_ATTR, newPasswd);
@@ -196,7 +196,7 @@ static int passwd_modify_userpassword(Slapi_PBlock *pb_orig, Slapi_Entry *target
  
 	slapi_mods_done(&smods);
 	
-    LDAPDebug( LDAP_DEBUG_TRACE, "<= passwd_modify_userpassword: %d\n", ret, 0, 0 );
+    LDAPDebug(LDAP_DEBUG_TRACE, LOG_DEBUG, "<= passwd_modify_userpassword: %d\n", ret, 0, 0 );
 
 	return ret;
 }
@@ -302,7 +302,7 @@ static int passwd_modify_generate_policy_passwd( passwdPolicy *pwpolicy,
 			}
 			if ( categories > 0 ) {
 				/* password generator does not support passwordMin8Bit */
-    			LDAPDebug( LDAP_DEBUG_ANY,
+    			LDAPDebug(LDAP_DEBUG_ANY, LOG_ERR,
 					"Unable to generate a password that meets the current "
 					"password syntax rules.  A minimum categories setting "
 					"of %d is not supported with random password generation.\n",
@@ -379,7 +379,7 @@ static int passwd_modify_generate_passwd( passwdPolicy *pwpolicy,
 		return LDAP_OPERATIONS_ERROR;
 	}
 	if ( pwpolicy->pw_min8bit > 0 ) {
-    	LDAPDebug( LDAP_DEBUG_ANY, "Unable to generate a password that meets "
+    	LDAPDebug(LDAP_DEBUG_ANY, LOG_ERR, "Unable to generate a password that meets "
 						"the current password syntax rules.  8-bit syntax "
 						"restrictions are not supported with random password "
 						"generation.\n", 0, 0, 0 );
@@ -445,7 +445,7 @@ passwd_modify_extop( Slapi_PBlock *pb )
 	Slapi_Entry	*referrals = NULL;
 	/* Slapi_DN sdn; */
 
-    	LDAPDebug( LDAP_DEBUG_TRACE, "=> passwd_modify_extop\n", 0, 0, 0 );
+    	LDAPDebug(LDAP_DEBUG_TRACE, LOG_DEBUG, "=> passwd_modify_extop\n", 0, 0, 0 );
 
 	/* Before going any further, we'll make sure that the right extended operation plugin
 	 * has been called: i.e., the OID shipped whithin the extended operation request must 
@@ -551,7 +551,7 @@ passwd_modify_extop( Slapi_PBlock *pb )
 		int rc = 0;
 		if ( ber_scanf( ber, "a", &rawdn) == LBER_ERROR ) {
 			slapi_ch_free_string(&rawdn);
-			LDAPDebug( LDAP_DEBUG_ANY, "ber_scanf failed :{\n", 0, 0, 0 );
+			LDAPDebug(LDAP_DEBUG_ANY, LOG_ERR, "ber_scanf failed :{\n", 0, 0, 0 );
 			errMesg = "ber_scanf failed at userID parse.\n";
 			rc = LDAP_PROTOCOL_ERROR;
 			goto free_and_return;
@@ -577,7 +577,7 @@ passwd_modify_extop( Slapi_PBlock *pb )
 	if (tag == LDAP_EXTOP_PASSMOD_TAG_OLDPWD ) {
 		if ( ber_scanf( ber, "a", &oldPasswd ) == LBER_ERROR ) {
 			slapi_ch_free_string(&oldPasswd);
-			LDAPDebug( LDAP_DEBUG_ANY, "ber_scanf failed :{\n", 0, 0, 0 );
+			LDAPDebug(LDAP_DEBUG_ANY, LOG_ERR, "ber_scanf failed :{\n", 0, 0, 0 );
 			errMesg = "ber_scanf failed at oldPasswd parse.\n";
 			rc = LDAP_PROTOCOL_ERROR;
 			goto free_and_return;
@@ -590,7 +590,7 @@ passwd_modify_extop( Slapi_PBlock *pb )
 	{
 		if ( ber_scanf( ber, "a", &newPasswd ) == LBER_ERROR ) {
 			slapi_ch_free_string(&newPasswd);
-			LDAPDebug( LDAP_DEBUG_ANY, "ber_scanf failed :{\n", 0, 0, 0 );
+			LDAPDebug(LDAP_DEBUG_ANY, LOG_ERR, "ber_scanf failed :{\n", 0, 0, 0 );
 			errMesg = "ber_scanf failed at newPasswd parse.\n";
 			rc = LDAP_PROTOCOL_ERROR;
 			goto free_and_return;
@@ -599,7 +599,7 @@ passwd_modify_extop( Slapi_PBlock *pb )
 
 parse_req_done:	
 	/* Uncomment for debugging, otherwise we don't want to leak the password values into the log... */
-	/* LDAPDebug( LDAP_DEBUG_ARGS, "passwd: dn (%s), oldPasswd (%s) ,newPasswd (%s)\n",
+	/* LDAPDebug(LDAP_DEBUG_ARGS, LOG_DEBUG, "passwd: dn (%s), oldPasswd (%s) ,newPasswd (%s)\n",
 					 dn, oldPasswd, newPasswd); */
 
 	/* Get Bind DN */
@@ -806,7 +806,7 @@ parse_req_done:
 		slapi_pblock_set(pb, SLAPI_EXT_OP_RET_VALUE, gen_passwd);
 	}
 	
-	LDAPDebug( LDAP_DEBUG_TRACE, "<= passwd_modify_extop: %d\n", rc, 0, 0 );
+	LDAPDebug(LDAP_DEBUG_TRACE, LOG_DEBUG, "<= passwd_modify_extop: %d\n", rc, 0, 0 );
 	
 	/* Free anything that we allocated above */
 free_and_return:
diff --git a/ldap/servers/slapd/pblock.c b/ldap/servers/slapd/pblock.c
index db5a9e7..2916aa9 100644
--- a/ldap/servers/slapd/pblock.c
+++ b/ldap/servers/slapd/pblock.c
@@ -157,7 +157,7 @@ slapi_pblock_get( Slapi_PBlock *pblock, int arg, void *value )
 		break;
 	case SLAPI_CONN_ID:
 		if (pblock->pb_conn == NULL) {
-			LDAPDebug( LDAP_DEBUG_TRACE,
+			LDAPDebug(LDAP_DEBUG_TRACE, LOG_DEBUG,
 		          "Connection is NULL and hence cannot access SLAPI_CONN_ID \n", 0, 0, 0 );
 			return (-1);
 		}
@@ -170,7 +170,7 @@ slapi_pblock_get( Slapi_PBlock *pblock, int arg, void *value )
 		 * a pointer that could be freed out from under them.
 		 */
 		if (pblock->pb_conn == NULL) {
-			LDAPDebug( LDAP_DEBUG_ANY,
+			LDAPDebug(LDAP_DEBUG_ANY, LOG_ERR,
 		          "Connection is NULL and hence cannot access SLAPI_CONN_DN \n", 0, 0, 0 );
 			return (-1);
 		}
@@ -181,7 +181,7 @@ slapi_pblock_get( Slapi_PBlock *pblock, int arg, void *value )
 		break;
 	case SLAPI_CONN_AUTHTYPE:/* deprecated */
 		if (pblock->pb_conn == NULL) {
-			LDAPDebug( LDAP_DEBUG_ANY,
+			LDAPDebug(LDAP_DEBUG_ANY, LOG_ERR,
 		          "Connection is NULL and hence cannot access SLAPI_CONN_AUTHTYPE \n", 0, 0, 0 );
 			return (-1);
 		}
@@ -208,7 +208,7 @@ slapi_pblock_get( Slapi_PBlock *pblock, int arg, void *value )
 	case SLAPI_CONN_AUTHMETHOD:
                 /* returns a copy */
 		if (pblock->pb_conn == NULL) {
-			LDAPDebug( LDAP_DEBUG_ANY,
+			LDAPDebug(LDAP_DEBUG_ANY, LOG_ERR,
 		          "Connection is NULL and hence cannot access SLAPI_CONN_AUTHMETHOD \n", 0, 0, 0 );
 			return (-1);
 		}
@@ -296,7 +296,7 @@ slapi_pblock_get( Slapi_PBlock *pblock, int arg, void *value )
 		break;
 	case SLAPI_CONN_IS_REPLICATION_SESSION:
 		if (pblock->pb_conn == NULL) {
-			LDAPDebug( LDAP_DEBUG_ANY,
+			LDAPDebug(LDAP_DEBUG_ANY, LOG_ERR,
 		          "Connection is NULL and hence cannot access SLAPI_CONN_IS_REPLICATION_SESSION \n", 0, 0, 0 );
 			return (-1);
 		}
@@ -306,7 +306,7 @@ slapi_pblock_get( Slapi_PBlock *pblock, int arg, void *value )
 		break;
 	case SLAPI_CONN_IS_SSL_SESSION:
 		if (pblock->pb_conn == NULL) {
-			LDAPDebug( LDAP_DEBUG_ANY,
+			LDAPDebug(LDAP_DEBUG_ANY, LOG_ERR,
 		          "Connection is NULL and hence cannot access SLAPI_CONN_IS_SSL_SESSION \n", 0, 0, 0 );
 			return (-1);
 		}
@@ -316,7 +316,7 @@ slapi_pblock_get( Slapi_PBlock *pblock, int arg, void *value )
 		break;
 	case SLAPI_CONN_SASL_SSF:
 		if (pblock->pb_conn == NULL) {
-			LDAPDebug( LDAP_DEBUG_ANY,
+			LDAPDebug(LDAP_DEBUG_ANY, LOG_ERR,
 			  "Connection is NULL and hence cannot access SLAPI_CONN_SASL_SSF \n", 0, 0, 0 );
 			return (-1);
 		}
@@ -326,7 +326,7 @@ slapi_pblock_get( Slapi_PBlock *pblock, int arg, void *value )
 		break;
 	case SLAPI_CONN_SSL_SSF:
 		if (pblock->pb_conn == NULL) {
-			LDAPDebug( LDAP_DEBUG_ANY,
+			LDAPDebug(LDAP_DEBUG_ANY, LOG_ERR,
 			  "Connection is NULL and hence cannot access SLAPI_CONN_SSL_SSF \n", 0, 0, 0 );
 			return (-1);
 		}
@@ -336,7 +336,7 @@ slapi_pblock_get( Slapi_PBlock *pblock, int arg, void *value )
 		break;
 	case SLAPI_CONN_LOCAL_SSF:
 		if (pblock->pb_conn == NULL) {
-			LDAPDebug( LDAP_DEBUG_ANY,
+			LDAPDebug(LDAP_DEBUG_ANY, LOG_ERR,
 			    "Connection is NULL and hence cannot access SLAPI_CONN_LOCAL_SSF \n", 0, 0, 0 );
 			return (-1);
 		}
@@ -346,7 +346,7 @@ slapi_pblock_get( Slapi_PBlock *pblock, int arg, void *value )
 		break;
 	case SLAPI_CONN_CERT:
 		if (pblock->pb_conn == NULL) {
-			LDAPDebug( LDAP_DEBUG_ANY,
+			LDAPDebug(LDAP_DEBUG_ANY, LOG_ERR,
 		          "Connection is NULL and hence cannot access SLAPI_CONN_CERT \n", 0, 0, 0 );
 			return (-1);
 		}
@@ -357,7 +357,7 @@ slapi_pblock_get( Slapi_PBlock *pblock, int arg, void *value )
 		break;
 	case SLAPI_OPERATION_TYPE:
 		if (pblock->pb_op == NULL) {
-			LDAPDebug( LDAP_DEBUG_ANY,
+			LDAPDebug(LDAP_DEBUG_ANY, LOG_ERR,
 		          "Operation is NULL and hence cannot access SLAPI_OPERATION_TYPE \n", 0, 0, 0 );
 			return (-1);
 		}
@@ -365,7 +365,7 @@ slapi_pblock_get( Slapi_PBlock *pblock, int arg, void *value )
 		break;
 	case SLAPI_OPINITIATED_TIME:
 		if (pblock->pb_op == NULL) {
-			LDAPDebug( LDAP_DEBUG_ANY,
+			LDAPDebug(LDAP_DEBUG_ANY, LOG_ERR,
 		          "Operation is NULL and hence cannot access SLAPI_OPINITIATED_TIME \n", 0, 0, 0 );
 			return (-1);
 		}
@@ -1830,7 +1830,7 @@ slapi_pblock_get( Slapi_PBlock *pblock, int arg, void *value )
 
 	case SLAPI_CLIENT_DNS:
 		if (pblock->pb_conn == NULL) {
-			LDAPDebug( LDAP_DEBUG_ANY,
+			LDAPDebug(LDAP_DEBUG_ANY, LOG_ERR,
 		          "Connection is NULL and hence cannot access SLAPI_CLIENT_DNS \n", 0, 0, 0 );
 			return (-1);
 		}
@@ -1972,7 +1972,7 @@ slapi_pblock_get( Slapi_PBlock *pblock, int arg, void *value )
 		break;
 
 	default:
-		LDAPDebug( LDAP_DEBUG_ANY,
+		LDAPDebug(LDAP_DEBUG_ANY, LOG_ERR,
 		    "Unknown parameter block argument %d\n", arg, 0, 0 );
 		return( -1 );
 	}
@@ -2021,7 +2021,7 @@ slapi_pblock_set( Slapi_PBlock *pblock, int arg, void *value )
 		break;
 	case SLAPI_CONN_ID:
 		if (pblock->pb_conn == NULL) {
-			LDAPDebug( LDAP_DEBUG_ANY,
+			LDAPDebug(LDAP_DEBUG_ANY, LOG_ERR,
 		          "Connection is NULL and hence cannot access SLAPI_CONN_ID \n", 0, 0, 0 );
 			return (-1);
 		}
@@ -2034,7 +2034,7 @@ slapi_pblock_set( Slapi_PBlock *pblock, int arg, void *value )
              * free the current authtype.
              */
 		if (pblock->pb_conn == NULL) {
-			LDAPDebug( LDAP_DEBUG_ANY,
+			LDAPDebug(LDAP_DEBUG_ANY, LOG_ERR,
 		          "Connection is NULL and hence cannot access SLAPI_CONN_DN \n", 0, 0, 0 );
 			return (-1);
 		}
@@ -2046,7 +2046,7 @@ slapi_pblock_set( Slapi_PBlock *pblock, int arg, void *value )
 	case SLAPI_CONN_AUTHTYPE: /* deprecated */
 	case SLAPI_CONN_AUTHMETHOD:
 		if (pblock->pb_conn == NULL) {
-			LDAPDebug( LDAP_DEBUG_ANY,
+			LDAPDebug(LDAP_DEBUG_ANY, LOG_ERR,
 		          "Connection is NULL and hence cannot access SLAPI_CONN_AUTHMETHOD \n", 0, 0, 0 );
 			return (-1);
 		}
@@ -2057,7 +2057,7 @@ slapi_pblock_set( Slapi_PBlock *pblock, int arg, void *value )
 		break;
 	case SLAPI_CONN_IS_REPLICATION_SESSION:
 		if (pblock->pb_conn == NULL) {
-			LDAPDebug( LDAP_DEBUG_ANY,
+			LDAPDebug(LDAP_DEBUG_ANY, LOG_ERR,
 		          "Connection is NULL and hence cannot access SLAPI_CONN_IS_REPLICATION_SESSION \n", 0, 0, 0 );
 			return (-1);
 		}
@@ -3452,7 +3452,7 @@ slapi_pblock_set( Slapi_PBlock *pblock, int arg, void *value )
 		break;
 	case SLAPI_CLIENT_DNS:
 		if (pblock->pb_conn == NULL) {
-			LDAPDebug( LDAP_DEBUG_ANY,
+			LDAPDebug(LDAP_DEBUG_ANY, LOG_ERR,
 		          "Connection is NULL and hence cannot access SLAPI_CLIENT_DNS \n", 0, 0, 0 );
 			return (-1);
 		}
@@ -3587,7 +3587,7 @@ slapi_pblock_set( Slapi_PBlock *pblock, int arg, void *value )
 		break;
 
 	default:
-		LDAPDebug( LDAP_DEBUG_ANY,
+		LDAPDebug(LDAP_DEBUG_ANY, LOG_ERR,
 		    "Unknown parameter block argument %d\n", arg, 0, 0 );
 		return( -1 );
 	}
